%define major 1
%define tarball_name libp11

Summary: Small library on top of PKCS#11
Name: %{tarball_name}_%{major}
Version: 0.2.3
Release: %mkrel 3
License: GPL
Group: System/Libraries
Source0: http://www.opensc.org/files/%{tarball_name}-%{version}.tar.gz
Buildrequires: libopenssl-devel
Buildrequires: libltdl-devel
URL: http://www.opensc.org//libp11
BuildRoot: %{_tmppath}/%{name}-%{version}-root-%(id -u -n)

%description
Libp11 is a library implementing a small layer on top of PKCS#11 API to make
using PKCS#11 implementations easier.

%package devel
Summary: Development files for libp11
Group: Development/C
Requires: %{name} = %{version}
Provides: %{tarball_name}-devel = %{version}

%description devel
This package contains files needed for development with libp11.

%prep
%setup -q -n %{tarball_name}-%{version}

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# fix some permissions
chmod 0644 %{buildroot}%{_libdir}/*.{la,a,so.*.*}

%if %mdkversion < 200900
%post -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -p /sbin/ldconfig
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%doc doc/api doc/*.html doc/README doc/*.css
%doc examples 
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/libp11.pc
%{_includedir}/*




%changelog
* Sun Jul 27 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.2.3-3mdv2009.0
+ Revision: 250390
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Nov 05 2007 Andreas Hasenack <andreas@mandriva.com> 0.2.3-1mdv2008.1
+ Revision: 106181
- updated to version 0.2.3


* Mon Nov 06 2006 Andreas Hasenack <andreas@mandriva.com> 0.2.2-1mdv2007.0
+ Revision: 77004
- added missing buildrequires
- updated to versioon 0.2.2
- Import libp11_1

* Sat Dec 03 2005 Andreas Hasenack <andreas@mandriva.com> 0.2.1-1mdk
- updated to version 0.2.1
- added buildrequires for libopenssl-devel

* Wed Nov 23 2005 Andreas Hasenack <andreas@conectiva.com.br> 0.2.0-1mdk
- packaged for Mandriva

